pkgname=solids4foam
pkgver=2.0
pkgrel=1
pkgdesc="Toolbox for performing solid mechanics and fluid-solid interactions in OpenFOAM"
arch=('x86_64')
url="https://github.com/${pkgname}/${pkgname}"
license=(GPL3)
_openfoam_version=v2312
depends=(openfoam-com=${_openfoam_version})
source=(${pkgname}-${pkgver}.tar.gz::${url}/archive/v${pkgver}.tar.gz
  openfoamcom${_openfoam_version}.patch::${url}/pull/60.patch)
sha512sums=('475645bf9e79a09b91f5aff78bff62e8fd247a5703722af3c8fee4d75faeb4fcc912ab0a485322ec661a7b834dc69492b68c3aa0f5ad4d99797758c38502f84c'
  'ee83a931ff2f6702634a1eefa9bb41757aa748d0e19485ca096a53c258276a90ad89cd5224d8837c11afa79c15096d798d87f7b74615eb4a713d9124cf93695c')

prepare() {
  if [ -n "${WM_PROJECT_DIR}" ]; then
    echo
    echo -e "\e[1m\e[5m\e[31mPlease make sure that no OpenFOAM version is sourced in bashrc.\e[0m"
    echo
    return 1
  fi
  sed -i 's/find/#find/' ${pkgname}-${pkgver}/Allwclean
  sed -i 's/cd \$/#cd \$/' ${pkgname}-${pkgver}/Allwmake # ${0%/*} prints /usr/sbin
}

package() {
  source /opt/OpenFOAM/OpenFOAM-${_openfoam_version/.*/}/etc/bashrc || true
  cd ${pkgname}-${pkgver}
  install -d "${pkgdir}${FOAM_APP}"
  ./Allwclean
  . ./Allwmake #|| true
  # cat Allwmake.log
  # cat ldd.log
  # cat wmake.log
  # ls -laR ${pkgdir}
  # ls -l lnInclude
  # install -Dm 644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
}
